
QGIS Application - Bug report #3307

Plugin Installer declines to update plugin

2010-12-07 07:06 PM - Aren Cambre

Status: Closed

Priority: Low

Assignee: Borys Jurgiel

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13367

Description

Today I got a notice that my Plugins Starter Plugin may be upgraded from 0.3.1 to 0.3.2. So I go to Plugins > Fetch Python Plugins,

select Plugins Starter Plugin, and hit Upgrade plugin.

Even though I get a dialog saying Plugin reinstalled correctly, it never actually upgrades. The QGIS Python Plugin Installer dialog

still shows 0.3.1 -> 0.3.2 for that plugin's version.

Even if I close qgis and restart, I get the same problem. I even tried running qgis as an administrator (right-click on its Start Menu icon and

select Run as administrator), and that doesn't fix it.

History

#1 - 2010-12-08 02:08 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Not a QGIS problem, it is a problem in the (3rd party) plugin. Contact the author of the plugin.

#2 - 2010-12-08 02:17 AM - Borys Jurgiel

Just contacted.
